<id>
Instant Message Alias
</id>

<version>
beta 1.2
</version>

<mod info>
- This Mod allows you to create Instant Message aliases.
- You may create an alias, and then all messages sent to this alias will be forwarded to a list of members you decide.
- You may also use this mod to forward copies of Instant Messages sent to an existing member to a list of other members.
- This mod is useful to create a "Contact The Forum Staff" type of member.


--------------
 INSTRUCTIONS
--------------

Apply this mod using Boardmod.

Upload these MODIFIED files:
 - AdminIndex.pl
 - Admin/AdminSubList.pl
 - Admin/Modlist.pl
 - Sources/InstantMessage.pl
 - Sources/Register.pl
 
Upload these NEW files:
 - Variables/im_alias.dat
 - Languages/English/IM_Alias.lng
 - Admin/IM_Alias.pl

-------------
 Mod History
-------------
 - V1.2 - Corrected error in ModList.pl.  Also included German translations in package - Thanks ThM!.
 - V1.1 - Corrected hardcoded words in IM_Alias.pl: (User Alias, Recipients).  Words now in IM_Alias.lng 
 - V1.0 - Original Release, BETA.
</mod info>

<author>
Lectrician (Martin W)
</author>

<homepage>
www.askthetrades.co.uk
</homepage>

<edit file>
Sources/Register.pl
</edit file>

<search for>
	$namecheck = $matchcase eq 'checked' ? $member{'username'} : lc $member{'username'};
</search for>

<add after>
### Instant Message Alias
	require "$admindir/IM_Alias.pl";
	&im_alias_reserve;
	if ($im_alias_reserve[0]){
		 foreach $im_alias (@im_alias_reserve){push (@reserve, $im_alias);}
	}
### Instant Message Alias
</add after>

<edit file>
Sources/InstantMessage.pl
</edit file>

<search for>
	@multiple = split(/,/, $FORM{'to'});
</search for>

<add after>
### Instant Message Alias
  my ($recipient, @send_alias, $alias, @temp_multiple);
  unless ($alias_loaded == 1){require "$vardir/im_alias.dat";}
  foreach $recipient (@multiple){
    if ($alias{"$recipient"}){
      (@send_alias) = split(/,/, $alias{"$recipient"});
	    chomp @send_alias;	
	    foreach $alias (@send_alias){push (@temp_multiple, "$alias|$recipient");} 
    }else{
      push (@temp_multiple, $recipient);
	  }
  }

	#remove duplicate names from list. will not work due to (alias) after username if originated from alias.
	@multiple = ();
	undef %saw;
	@saw{@temp_multiple} = ();
	@multiple = keys %saw;

### Instant Message Alias
</add after>

<search for>
	foreach $db (@multiple) {
</search for>

<add after>
### Instant Message Alias (check to see if the recipient has recieved message via an alias name, and then add note.)
  &LoadLanguage("IM_Alias");
  $alias_note = "";
	if ($db =~ m/\|/g){	
	  ($db, $alias_db) = split(/\|/, $db);
		$alias_note = qq~<br /><br /><br /><br />$im_alias{'15'} $alias_db.<br />$im_alias{'16'} $alias{"$alias_db"}<br>~;
	}
### Instant Message Alias
</add after>

<search for>
			print INBOX "$username|$subject|$date|$message|$messageid|$ENV{'REMOTE_ADDR'}|1\n";
</search for>

<replace>
### Instant Message Alias ($alias_note addedd after $message below.)
			print INBOX "$username|$subject|$date|$message$alias_note|$messageid|$ENV{'REMOTE_ADDR'}|1\n";
### Instant Message Alias
</replace>

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'im_alias',"IM_Alias.pl&im_alias",
'im_alias2',"IM_Alias.pl&im_alias2",
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
  $im_alias = "Instant Message Alias|Lectrician|- This Mod allows you to create Instant Message aliases.<br />- You may create an alias, and then all messages sent to this alias will be forwarded to a list of members you decide.<br />- You may also use this mod to forward copies of Instant Messages sent to an existing member to a list of other members.<br />- This mod is useful to create a 'Contact The Forum Staff' type of member.|1.0|September 25th 2006";
  push (@installed_mods, "$im_alias");	
</add before>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$im_alias = "im_alias|Instant Message Aliases|Instant Message Aliases Configuration";
	push (@boardmod_mods, "$im_alias");
</add before>
